<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * ChangeLogged
 *
 * @author sochoa
 */
class ChangeLogged {
    
    /*
     * Folder: UUID and Path
     * Document: UUID, Path, Version and Checksum
     */
    private $uuid;
    private $path;
    private $newPath;
    private $version;
    private $checksum;
    private $action;
    private $date;
    private $userRole;
    private $permission;

    function __construct() {
        
    }

    function getUuid() {
        return $this->uuid;
    }

    function getPath() {
        return $this->path;
    }

    function getNewPath() {
        return $this->newPath;
    }

    function getVersion() {
        return $this->version;
    }

    function getChecksum() {
        return $this->checksum;
    }

    function getAction() {
        return $this->action;
    }

    function getDate() {
        return $this->date;
    }

    function getUserRole() {
        return $this->userRole;
    }

    function getPermission() {
        return $this->permission;
    }

    function setUuid($uuid) {
        $this->uuid = $uuid;
    }

    function setPath($path) {
        $this->path = $path;
    }

    function setNewPath($newPath) {
        $this->newPath = $newPath;
    }

    function setVersion($version) {
        $this->version = $version;
    }

    function setChecksum($checksum) {
        $this->checksum = $checksum;
    }

    function setAction($action) {
        $this->action = $action;
    }

    function setDate($date) {
        $this->date = $date;
    }

    function setUserRole($userRole) {
        $this->userRole = $userRole;
    }

    function setPermission($permission) {
        $this->permission = $permission;
    }

}

?>
